Create Research Job
curl --request POST \
--url https://api.peachdeskai.com/api/v1/voice-engine/research \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"max_tool_calls": 12,
"model": "brahma-30b-reasoning"
}
'import requests
url = "https://api.peachdeskai.com/api/v1/voice-engine/research"
payload = {
"query": "<string>",
"max_tool_calls": 12,
"model": "brahma-30b-reasoning"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: '<string>', max_tool_calls: 12, model: 'brahma-30b-reasoning'})
};
fetch('https://api.peachdeskai.com/api/v1/voice-engine/research', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/voice-engine/research",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'query' => '<string>',
'max_tool_calls' => 12,
'model' => 'brahma-30b-reasoning'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/voice-engine/research"
payload := strings.NewReader("{\n \"query\": \"<string>\",\n \"max_tool_calls\": 12,\n \"model\": \"brahma-30b-reasoning\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.peachdeskai.com/api/v1/voice-engine/research")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"query\": \"<string>\",\n \"max_tool_calls\": 12,\n \"model\": \"brahma-30b-reasoning\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/voice-engine/research")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"query\": \"<string>\",\n \"max_tool_calls\": 12,\n \"model\": \"brahma-30b-reasoning\"\n}"
response = http.request(request)
puts response.read_body{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}main
Create Research Job
Create a deep-research job: persist pending + schedule the in-process
runner, return 202 {id, status, created_at}.
503 when VOICE_ENGINE_REASONING_URL is unset (research is entirely
unconfigured — nothing to schedule); 400 when the API key has no selected
org; 422 on an empty query or max_tool_calls over the cap; 429 when the
org’s request-rate window is exhausted; 402 when the org has no remaining
credits.
POST
/
api
/
v1
/
voice-engine
/
research
Create Research Job
curl --request POST \
--url https://api.peachdeskai.com/api/v1/voice-engine/research \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"max_tool_calls": 12,
"model": "brahma-30b-reasoning"
}
'import requests
url = "https://api.peachdeskai.com/api/v1/voice-engine/research"
payload = {
"query": "<string>",
"max_tool_calls": 12,
"model": "brahma-30b-reasoning"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: '<string>', max_tool_calls: 12, model: 'brahma-30b-reasoning'})
};
fetch('https://api.peachdeskai.com/api/v1/voice-engine/research', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/voice-engine/research",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'query' => '<string>',
'max_tool_calls' => 12,
'model' => 'brahma-30b-reasoning'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/voice-engine/research"
payload := strings.NewReader("{\n \"query\": \"<string>\",\n \"max_tool_calls\": 12,\n \"model\": \"brahma-30b-reasoning\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.peachdeskai.com/api/v1/voice-engine/research")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"query\": \"<string>\",\n \"max_tool_calls\": 12,\n \"model\": \"brahma-30b-reasoning\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/voice-engine/research")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"query\": \"<string>\",\n \"max_tool_calls\": 12,\n \"model\": \"brahma-30b-reasoning\"\n}"
response = http.request(request)
puts response.read_body{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
SessionAuthApiKeyAuth
Interactive user session: the login JWT, sent as Authorization: Bearer <token>.
Body
application/json
Response
Successful Response
The response is of type Response Create Research Job Api V1 Voice Engine Research Post · object.

